com.fasterxml.jackson.databind.util

## Class ClassUtil.Ctor

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ClassUtil.Ctor

- Enclosing class:
    ClassUtil

      public static final class ClassUtil.Ctor
      extends java.lang.Object

  Value class used for caching Constructor declarations; used because caching done by JDK appears to be somewhat inefficient for some use cases.
  Since:
    2.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.reflect.Constructor<?>` | `_ctor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassUtil.Ctor(java.lang.reflect.Constructor<?> ctor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Constructor<?>` | `getConstructor()`
    `java.lang.annotation.Annotation[]` | `getDeclaredAnnotations()`
    `java.lang.Class<?>` | `getDeclaringClass()`
    `int` | `getParamCount()`
    `java.lang.annotation.Annotation[][]` | `getParameterAnnotations()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _ctor

          public final java.lang.reflect.Constructor<?> _ctor

  - ### Constructor Detail

    - #### ClassUtil.Ctor

          public ClassUtil.Ctor(java.lang.reflect.Constructor<?> ctor)

  - ### Method Detail

    - #### getConstructor

          public java.lang.reflect.Constructor<?> getConstructor()

    - #### getParamCount

          public int getParamCount()

    - #### getDeclaringClass

          public java.lang.Class<?> getDeclaringClass()

    - #### getDeclaredAnnotations

          public java.lang.annotation.Annotation[] getDeclaredAnnotations()

    - #### getParameterAnnotations

          public java.lang.annotation.Annotation[][] getParameterAnnotations()